Skip to content

Configuration

All operations require authentication.

5 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List pending changes per zoneProduction

GET
/1.0/ipLoadbalancing/{serviceName}/pendingChanges

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200PendingChanges[]successful operation
number
integer

The number of changes waiting to be applied

zone
string

The Load Balancer zone with pending changes

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/pendingChanges \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "number": 0, "zone": "string" }]

Apply the configurationProduction

POST
/1.0/ipLoadbalancing/{serviceName}/refresh

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

zone
string

The zone(s) of your iplb

Response

200Tasksuccessful operation
action
read-only
TaskActionEnum

Operation type

ValuesdeleteIplbdeployIplbinstallinstallIplbinstallZoneorderFreeCertificateorderPaidCertificateorderSslrefreshIplbreleaseIplbreleaseIplbZonereopenIplbsuspendIplbsuspendZoneswitchToIplbNextGenerationApivrackAttachvrackDetach
creationDate
read-only
stringdate-time

Creation date of your operation

doneDate
read-only
stringdate-time

Done date of your operation

id
read-only
integer

Id of the operation

progress
read-only
integer

Operation progress percentage

status
read-only
TaskStatusEnum

Current status of your operation

Valuesblockedcancelleddoingdoneerrortodo
zones
read-only
string[]

Zone of your Load Balancer which are updated by current Task

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/refresh \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "deleteIplb", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "progress": 0, "status": "blocked", "zones": [ "string" ]}

List defined frontends and their typeProduction

GET
/1.0/ipLoadbalancing/{serviceName}/definedFrontends

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200DefinedFrontend[]successful operation
id
integer
—
type
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/definedFrontends \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": 0, "type": "string" }]

List defined farms and their typeProduction

GET
/1.0/ipLoadbalancing/{serviceName}/definedFarms

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

vrackNetworkId
integer

The vrack network id you want to filter on

Response

200DefinedFarm[]successful operation
id
integer
—
type
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/definedFarms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": 0, "type": "string" }]

List defined routes and their typeProduction

GET
/1.0/ipLoadbalancing/{serviceName}/definedRoutes

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Response

200DefinedRoute[]successful operation
displayName
string

Human readable name for your route

routeId
integer

Id of your route

type
string

Protocol supported by this route

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/definedRoutes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "displayName": "string", "routeId": 0, "type": "string" }]